using GameMessage;
using MessagePack;

namespace UnityGame
{
    [Message(MessageCode.GetWxMiniLoginCodeRequest)]
    [MessagePackObject]
    public class GetWxMiniLoginCodeRequest : MessageData
    {
        /// <summary>
        /// Code
        /// </summary>
        [Key(0)]
        public string Code;
    }
    
    [Message(MessageCode.GetWxMiniLoginCodeResponse)]
    [MessagePackObject]
    public class GetWxMiniLoginCodeResponse : MessageData
    {
        [Key(0)]
        public int ResultCode;
        
        /// <summary>
        /// 响应数据
        /// </summary>
        [Key(1)]
        public string ResponseData;
    }
    
}